%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Name:           dpic
Url:            https://www.ece.uwaterloo.ca/~aplevich/dpic/
License:        BSD and CC-BY
Group:          Publishing  
Summary:        Pic language processor
Version:        2024.01.01
Release:        %mkrel 1
Source0:        https://ece.uwaterloo.ca/~aplevich/%{name}/%{name}-%{version}.tar.gz
# Needed to generate the documentation
BuildRequires:	texlive-texmf

%description
Pic language processor for LaTeX documents or web sites.

%files
%_bindir/%{name}
%{_datadir}/%{name}/doc/dpictools.pic
%doc README CHANGES doc/dpic-doc.pdf
%_mandir/man1/dpic.1*

#--------------------------------------------------------------------

%prep
%setup -n %{name}-%{version} -q

%build
%configure
%make_build
%make_build -C doc

%install
%make_install
install -d %{buildroot}%{_datadir}/%{name}/doc
install -Dm 644 doc/dpic.1 %{buildroot}%{_mandir}/man1/dpic.1
mv %{buildroot}/bin %{buildroot}%{_prefix}/
mv %{buildroot}/share/doc/dpic/dpictools.pic %{buildroot}%{_datadir}/%{name}/doc/
rm -rf %{buildroot}/share


%changelog
* Thu Aug 22 2024 mrambo3501 <mrambo3501> 2024.01.01-1.mga10
+ Revision: 2088010
- version 2024.01.01

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 2023.02.01-1.mga9
+ Revision: 1940988
- version 2023.02.01

* Tue Mar 15 2022 umeabot <umeabot> 2021.11.01-2.mga9
+ Revision: 1793786
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 mrambo3501 <mrambo3501> 2021.11.01-1.mga9
+ Revision: 1768964
- version 2021.11.01

* Tue Dec 08 2020 ns80 <ns80> 2020.09.15-1.mga8
+ Revision: 1654543
- new version 2020.09.15 for CVE-2019-13989 (mga#27759)

* Thu Feb 13 2020 umeabot <umeabot> 2018.02.01-3.mga8
+ Revision: 1511917
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2018.02.01-2.mga7
+ Revision: 1297495
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 2018.02.01-1.mga7
+ Revision: 1212073
- Update to version 2018.02.01
- Update license to include the documentation
- Fixed file list

* Thu Feb 11 2016 umeabot <umeabot> 2011.10.25-8.mga6
+ Revision: 953797
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 2011.10.25-7.mga6
+ Revision: 880153
- reenable debuginfo & fix empty debuginfo (patch 1)

* Wed Sep 09 2015 neoclust <neoclust> 2011.10.25-6.mga6
+ Revision: 874923
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2011.10.25-5.mga5
+ Revision: 748640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2011.10.25-4.mga5
+ Revision: 678825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2011.10.25-3.mga4
+ Revision: 503933
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2011.10.25-2.mga3
+ Revision: 349079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 dmorgan <dmorgan> 2011.10.25-1.mga2
+ Revision: 168594
- imported package dpic

